#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "src/operate.h"
#include "src/ZKBiometric/zkbiometric.h"
#include "src/ZKSensor/zksensor.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
//protected:
//    void closeEvent(QCloseEvent *event) Q_DECL_OVERRIDE;

private:
    Ui::MainWindow *ui;
    Operate *pOperate;
    ZKBiometric *pZKBiometric;
    ZKSensor *pZKSensor;
    QThread *threadZKSensor;
    QThread *threadZKBiometric;
    QThread *threadOperate;

public slots:
    void slotRecvMsg(QString msg);
    void slotRecvImage(QImage image);
    void slotRecvRect(int* rect,int width,int height);
};
#endif // MAINWINDOW_H
