#include<picturelabel.h>

#define TAG "picturelabel.cpp"
#define LOGDEBUG qDebug()<<qPrintable(QString("[%1][%2][%3][%4]: ").arg(QThread::currentThreadId()).arg(TAG).arg(__func__).arg(__LINE__))
//#define LOGDEBUG qDebug()<<qPrintable(QString("[%1][%2][%3][%]: ").arg(TAG).arg(__func__).arg(__LINE__)); qDebug()<<QThread::currentThreadId();
//PictureLabel::paintEvent(QPaintEvent *event)

PictureLabel::PictureLabel(QWidget *parent):QLabel (parent)
{

}

void PictureLabel:: paintEvent(QPaintEvent *event)
{
    //Q_UNUSED(event);//默认不用背景图片
	QLabel::paintEvent(event);//必须有，才能让背景图片显示出来
	QPainter painter(this);

    //画一个空心矩形
    QPen pen;
    pen.setColor(Qt::blue);           //设置画笔颜色
    pen.setWidth(1);                 //画笔粗细
    painter.setPen(pen);             //设置画笔

    int x = 0;
    int y = 0;
    int width = 0;
    int height = 0;

    int palmRect[8] = {0};
    getPalmRect(palmRect);

    //画手掌矩形框
    for(int i = 0; i < 4; i++)
    {
        painter.drawLine(palmRect[i*2],palmRect[i*2+1],palmRect[((i+1)*2)%8], palmRect[((i+1)*2+1)%8]);
    }
    //清空手掌矩形框数据
    memset(palmRect,0,sizeof(palmRect));
    setPalmRect(palmRect);
}
