#ifndef ZKBIOMETRIC_H
#define ZKBIOMETRIC_H

#include <QObject>
#include <QLineEdit>
#include <QMutex>
#include "include/ZKIRPalmService.h"


class ZKBiometric : public QObject
{
    Q_OBJECT
public:
    explicit ZKBiometric(QObject *parent = 0);
    ~ZKBiometric();
    void setEditId(QLineEdit*  lineEdit);

    void init();
    void free();
    void add();
    void del();
    void clear();
    void verify();
    void identify();

private:
    P_ZKPalmServiceVersion  ZKPalmServiceVersion  = NULL;
    P_ZKPalmServiceInit ZKPalmServiceInit = NULL;
    P_ZKPalmServiceFinal ZKPalmServiceFinal = NULL;
    P_ZKPalmServiceSetParam  ZKPalmServiceSetParam  = NULL;
    P_ZKPalmServiceExtractTemplate  ZKPalmServiceExtractTemplate  = NULL;
    P_ZKPalmServiceVerify ZKPalmServiceVerify  = NULL;
    P_ZKPalmServiceVerifyByID ZKPalmServiceVerifyByID  = NULL;
    P_ZKPalmServiceMergeTemplates ZKPalmServiceMergeTemplates  = NULL;
    P_ZKPalmServiceDBAdd ZKPalmServiceDBAdd  = NULL;
    P_ZKPalmServiceDBDel ZKPalmServiceDBDel  = NULL;
    P_ZKPalmServiceDBCount ZKPalmServiceDBCount  = NULL;
    P_ZKPalmServiceDBClear ZKPalmServiceDBClear  = NULL;
    P_ZKPalmServiceDBIdentify  ZKPalmServiceDBIdentify  = NULL;
    P_ZKPalmServiceEnrollDBIdentify ZKPalmServiceEnrollDBIdentify  = NULL;

    QLineEdit *lineEdit;
    void *m_hDbcache;//算法句柄
    unsigned char *m_pcImgRaw; //raw图像数据
    unsigned char** m_gpcAddTemplates;//登记模板数组
    unsigned char* m_pcAddTemplate;//N个登记模板合成的登记模板
    unsigned char* m_pcVerTemplate;//比对模板
    unsigned char* m_pcLastAddTemplate;//最后一个被登记的登记模板，用于1:1比对实例使用

    int* m_gnImgRect;//手掌矩形框四个坐标点
    int m_nImgWidth;//图像宽
    int m_nImgHeight;//图像高
    QMutex mutex;

    bool loadLibrary();
    void getRect(unsigned char*image,int width,int height);

signals:
    void signalSendMsg(QString);
    void signalSendRect(int*,int,int);
    void signalSendExtractSuccess();

public slots:
    void slotRecvImage(unsigned char*raw,int width,int height);
};

#endif // ZKBIOMETRIC_H
