#ifndef ZKSENSOR_H
#define ZKSENSOR_H

#include <QObject>
#include "include/ZKPalmCap.h"
#include <QImage>
#include <QMutex>

class ZKSensor : public QObject
{
    Q_OBJECT
public:
    explicit ZKSensor(QObject *parent = 0);
    ~ZKSensor();


    bool open();
    void close();
    void getParam();
    void setParam(int paramCode,int paramValue);
    void capture();



 private:
     void* m_hDevice;
     int m_nDeviceCount;
     int m_nRawBufferSize;
     unsigned char* m_pcImgRaw;
     int m_nImgWidth;
     int m_nImgHeight;
     char * m_pcVersion;
     QMutex mutex;


     P_palmSensorInit palmSensorInit = NULL;
     P_palmSensorFree palmSensorFree = NULL;
     P_palmSensorGetCount palmSensorGetCount = NULL;
     P_palmSensorGetVersion palmSensorGetVersion = NULL;
     P_palmSensorOpen palmSensorOpen = NULL;
     P_palmSensorClose palmSensorClose = NULL;
     P_palmSensorCapture palmSensorCapture = NULL;
     P_palmSensorGetParameter  palmSensorGetParameter = NULL;
     P_palmSensorSetParameter palmSensorSetParameter = NULL;
     P_palmSensorGetParameterEx palmSensorGetParameterEx = NULL;
     P_palmSensorSetParameterEx palmSensorSetParameterEx = NULL;

     bool loadLibrary();

     signals:
               void signalStartLoopCapture();
               void signalSendMsg(QString);
               void signalSendImageEx(unsigned char*,int,int);
               void signalSendImage(QImage);
     public slots:
               void slotStartLoopCapture();
};

#endif // ZKSENSOR_H
