#ifndef OPERATE_H
#define OPERATE_H

#include <QObject>

#include "ZKBiometric/zkbiometric.h"
#include "ZKSensor/zksensor.h"

class Operate : public QObject
{
    Q_OBJECT
public:
    explicit Operate(QObject *parent = 0);
    void setObjects(ZKBiometric *pZKBiometric,ZKSensor *pZKSensor);


private:
    ZKBiometric *pZKBiometric;
    ZKSensor *pZKSensor;

signals:
    void signalStartLoopCapture();

public slots:
    void slotButtonOpen();
    void slotButtonClose();
    void slotButtonEnroll();
    void slotButtonDelete();
    void slotButtonClear();
    void slotButtonVerify();
    void slotButtonIdentify();
    void slotButtonGetParam();
    void slotRecvExtractSuccess();
};

#endif // OPERATE_H
